#ifndef IGNORES_HPP_INCLUDED
#define IGNORES_HPP_INCLUDED

#include "../../../Core/Classes/Ignore.hpp"
#include <functional>
#include <vector>

/** @addtogroup GameTabs
* @{ */
class Ignores
{
    public:
        static bool IsOpen();
        static bool Open();
        static std::vector<Internal::Ignore> GetAll();
        static std::vector<Internal::Ignore> GetAll(const std::function<bool (Internal::Ignore&)>& Filter);
};

/** @} */

#endif // IGNORES_HPP_INCLUDED
